gtkmm 3.13.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::RecentChooserError Class Reference

Exception class for Gtk::RecentChooser errors. More...

`#include <gtkmm/recentchooser.h>`

Inheritance diagram for Gtk::RecentChooserError:
[legend]

## Public Types
enum | Code { NOT_FOUND, INVALID_URI }

## Public Member Functions
| RecentChooserError (Code error_code, const Glib::ustring& error_message)
| RecentChooserError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Exception
virtual Glib::ustring | what () const =0

## Detailed Description

Exception class for Gtk::RecentChooser errors.

## Member Enumeration Documentation

enum Gtk::RecentChooserError::Code

Enumerator
NOT_FOUND |
INVALID_URI |

## Constructor & Destructor Documentation

Gtk::RecentChooserError::RecentChooserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::RecentChooserError::RecentChooserError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gtk::RecentChooserError::code | ( |  | ) | const